com.r3corda.node.services.network / NetworkMapService / QueryIdentityRequest

# QueryIdentityRequest

`class QueryIdentityRequest : NetworkMapRequestMessage`

### Constructors

<init> | `QueryIdentityRequest(identity: Party, replyTo: MessageRecipients, sessionID: Long)`

### Properties

identity | `val identity: Party`
sessionID | `val sessionID: Long`

### Inherited Properties

replyTo | `val replyTo: MessageRecipients`

### Inherited Functions

getReplyTo | `open fun getReplyTo(networkMapCache: NetworkMapCache): MessageRecipients`